# Get Snapshot List - DescribeUDiskSnapshot

## Overview

Get UDisk Snapshot






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDiskSnapshot`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Offset** | int | Data offset, default is 0 |No|
| **Limit** | int | Return data length, default is 20 |No|
| **UDiskId** | string | UDiskId, returns the snapshot made of this disk. (Zone must be passed at the same time) |No|
| **SnapshotId** | string | Snapshot id, SnapshotId, UDiskId, pass SnapshotId as a priority if both are given |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*UDiskSnapshotSet*](#udisksnapshotset)] | JSON format Snapshot list, see UDiskSnapshotSet for details |No|
| **TotalCount** | int | Total count based on filter conditions |No|

#### Data Model


#### UDiskSnapshotSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone |**Yes**|
| **SnapshotId** | string | Snapshot Id |**Yes**|
| **Name** | string | Snapshot Name |**Yes**|
| **UDiskId** | string | The source UDisk's Id of the snapshot |**Yes**|
| **UDiskName** | string | Source UDisk Name of the Snapshot. |**Yes**|
| **CreateTime** | int | Creation Time |**Yes**|
| **Size** | int | Capacity Unit GB |**Yes**|
| **Status** | string | Snapshot Status, Normal: Normal, Failed: Failed, Creating: In Progress |**Yes**|
| **DiskType** | int | Disk type, 0: General data disk; 1: General system disk; 2: SSD data disk; 3: SSD system disk; 4: RSSD data disk; 5: RSSD system disk. |**Yes**|
| **ExpiredTime** | int | [Deprecated] Expiration Time |No|
| **Comment** | string | Snapshot Description |No|
| **IsUDiskAvailable** | boolean | Is the corresponding disk in an available state? |No|
| **Version** | string | Snapshot Version |No|
| **UHostId** | string | The host mounted when creating a snapshot for the corresponding disk |No|
| **UKmsMode** | string | [Deprecated] Is it an encrypted disk snapshot? Yes: "Yes", No: "No"  |No|
| **CmkId** | string | [Deprecated] The cmk id of this snapshot |No|
| **DataKey** | string | [Deprecated] The encrypted key of this snapshot |No|
| **CmkIdStatus** | string | [Deprecated] The status of the snapshot cmk, Enabled (Normal), Disabled (Invalid), Deleted (Deleted), NoCmkId (Non-encrypted disk) |No|
| **CmkIdAlias** | string | [Deprecated] cmk id alias |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUDiskSnapshot
&Region=cn-bj2
&SnapshotId=bsSnap-xxx
```

### Response Example
    
```json
{
  "Action": "DescribeUDiskSnapshotResponse",
  "DataSet": [
    {
      "ChargeType": "Year",
      "Comment": "test",
      "CreateTime": 1402039500,
      "DiskType": 0,
      "ExpiredTime": 1402039500,
      "IsUDiskAvailable": true,
      "Name": "test",
      "Size": "100",
      "SnapshotId": "bsSnap-xxx",
      "Status": "Normal",
      "UDiskId": "bs-xxx",
      "UDiskName": "apidoctest",
      "UHostId": "uhost-xxx",
      "Version": "1.0"
    }
  ],
  "RetCode": 0,
  "TotalCount": 1
}
```





